# TODO
# - check minimum gcc ver:
#   on ac gcc 3.3.6: - BZ2StreamScanner.cpp:(.text+0x219): undefined reference to `std::char_traits<unsigned char>::length(unsigned char const*)'
Summary:	Parallel implementation of bzip2
Summary(pl.UTF-8):	Zrównoleglona implementacja bzip2
Name:		pbzip2
Version:	1.1.12
Release:	1
License:	BSD
Group:		Applications/Archiving
Source0:	https://launchpad.net/pbzip2/1.1/%{version}/+download/%{name}-%{version}.tar.gz
# Source0-md5:	91a4911b13305850423840eb0fa6f4f9
URL:		http://www.compression.ca/pbzip2/
BuildRequires:	bzip2-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PBZIP2 is a parallel implementation of the bzip2 block-sorting file
compressor that uses pthreads and achieves near-linear speedup on SMP
machines. The output of this version is fully compatible with bzip2
v1.0.2 or newer (ie: anything compressed with pbzip2 can be
decompressed with bzip2).

%description -l pl.UTF-8
PBZIP2 to zrównoleglona implementacja algorytmu kompresji plików
metodą sortowania bloków sobzip2, wykorzystująca mechanizm wątków
pthread i osiągająca prawie liniowe przyspieszenie na maszynach
wieloprocesorowych. Wyjście z tego programu jest w pełni kompatybilne
z formatem bzip2 w wersji 1.0.2 lub nowszej (tzn. wszystko
skompresowane programem pbzip2 może być rozpakowane przy pomocy
bzip2).

%prep
%setup -q

%build
%{__make} \
	CC="%{__cxx}" \
	OPTFLAGS="%{rpmcxxflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -p %{name} $RPM_BUILD_ROOT%{_bindir}
ln -sf %{name} $RPM_BUILD_ROOT%{_bindir}/pbunzip2
cp -a %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README
%attr(755,root,root) %{_bindir}/pbzip2
%attr(755,root,root) %{_bindir}/pbunzip2
%{_mandir}/man1/pbzip2.1*
%changelog
* Fri Apr 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pbzip2.git;a=log;h=master

* Fri Apr 10 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d5f5a0
- up to 1.1.12

* Tue Mar 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 6993ec8
- updated to 1.1.8

* Sat Jun 02 2012 blekot <blekot@pld-linux.org> 5bc4901
- 1.1.6

* Thu Jul 21 2011 marti <marti@pld-linux.org> dbdcf21
- up to 1.1.5

* Sat Apr 30 2011 areq <areq@pld-linux.org> a51ab08
- 1.1.4

* Tue Mar 29 2011 areq <areq@pld-linux.org> 9bb1791
- 1.1.3

* Sun Feb 20 2011 areq <areq@pld-linux.org> 251939e
- 1.1.2

* Mon Jul 05 2010 areq <areq@pld-linux.org> a3e7f08
- 1.1.1

* Sun Apr 18 2010 Elan Ruusamäe <glen@pld-linux.org> 07f9d17
- unify, ac build fails

* Sun Apr 18 2010 Paweł Gołaszewski <blues@pld-linux.org> d883294
- 1.1.0

* Mon Jan 12 2009 Jakub Bogusz <qboosh@pld-linux.org> c53e66e
- outdated (I assume)

* Mon Jan 12 2009 areq <areq@pld-linux.org> fbb4220
- 1.0.5

* Wed Sep 05 2007 Paweł Gołaszewski <blues@pld-linux.org> e89f884
- rel.1

* Sat Aug 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 0bcc983
- quote CC, BR: libstdc++-devel

* Sat Jul 28 2007 vip <vip@pld-linux.org> 04d38fc
- updated md5

* Sat Jul 28 2007 vip <vip@pld-linux.org> d63790a
- initial
- don't know if fixing OPTFLAGS is correct, if yes, please make rel 1.0

* Sat Jul 28 2007 vip <vip@pld-linux.org> fd97c13
- optflags fix for pbzip2

